cURL
curl --request GET \
--url https://api.woox.io/v3/asset/staking/yieldHistory \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-signature: <x-api-signature>' \
--header 'x-api-timestamp: <x-api-timestamp>'import requests
url = "https://api.woox.io/v3/asset/staking/yieldHistory"
headers = {
"x-api-key": "<x-api-key>",
"x-api-signature": "<x-api-signature>",
"x-api-timestamp": "<x-api-timestamp>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-key': '<x-api-key>',
'x-api-signature': '<x-api-signature>',
'x-api-timestamp': '<x-api-timestamp>'
}
};
fetch('https://api.woox.io/v3/asset/staking/yieldHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"rows": [
{
"id": 53173,
"token": "WOO",
"stakingSize": 30100.00000000,
"annualReward": "0.0024294",
"yieldAmount": "0.20034259",
"yieldTime": "1673481600.000"
}
],
"meta": {
"total": 46,
"recordsPerPage": 1,
"currentPage": 1
}
},
"timestamp": 1721295317627
}
Assets
Get staking yield history
Get Staking Yield History
GET
/
v3
/
asset
/
staking
/
yieldHistory
cURL
Limit 10 requests per 60 seconds
Get your unique deposit address by token
Get your unique deposit address by token
{
"success": true,
"data": {
"rows": [
{
"id": 53173,
"token": "WOO",
"stakingSize": 30100.00000000,
"annualReward": "0.0024294",
"yieldAmount": "0.20034259",
"yieldTime": "1673481600.000"
}
],
"meta": {
"total": 46,
"recordsPerPage": 1,
"currentPage": 1
}
},
"timestamp": 1721295317627
}
Headers
Example:
"abcdef123456"
Example:
"signaturestring"
Example:
"1718943200000"
Query Parameters
Token name in upper case
the page you wish to query.
the page size you wish to query, default = 25, 1000 at max.
⌘I